<template>
  <a-modal
    :title="title"
    :width="1200"
    :visible="visible"
    :confirmLoading="confirmLoading"
    @ok="handleOk"
    @cancel="handleCancel"
  >
    <a-timeline mode="alternate">
    <a-timeline-item>Create a services site 2015-09-01</a-timeline-item>
    <a-timeline-item color="green">
      Solve initial network problems 2015-09-01
    </a-timeline-item>
    <a-timeline-item>
      <a-icon slot="dot" type="clock-circle-o" style="font-size: 16px;" />
      Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque
      laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto
      beatae vitae dicta sunt explicabo.
    </a-timeline-item>
    <a-timeline-item color="red">
      Network problems being solved 2015-09-01
    </a-timeline-item>
    <a-timeline-item>Create a services site 2015-09-01</a-timeline-item>
    <a-timeline-item>
      <a-icon slot="dot" type="clock-circle-o" style="font-size: 16px;" />
      Technical testing 2015-09-01
    </a-timeline-item>
  </a-timeline>

  </a-modal>
</template>

<script>
import { putAction } from '@/api/manage'
export default {
  name: 'TimeLine',
  data() {
    return {
      title: '时间轴',
      visible: false,

      model: {},
      labelCol: {
        xs: { span: 24 },
        sm: { span: 5 },
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 16 },
      },
      confirmLoading: false,
      url: {
        edit: '/pro/project/edit',
      },
    }
  },
  watch: {},
  methods: {
    edit(record) {

      this.visible = true
      this.model = Object.assign({}, record)
    },

    handleCancel() {
      this.close()
    },
    handleOk() {
      let that = this
       
    },
    close() {
      this.$emit('close')
      this.visible = false
    },

    handleChangeUserCommon(v) {},
  },
}
</script>

<style scoped>
</style>